API DocumentationManufacturer part revision controller

Detect parts in an image and find similar part revisions per detection

POST
/api/manufacturer/v1/part-revision/detect-and-embed

Detect parts in the image and, for each detected part, returns the top-N visually similar part revisions. Bounding boxes are in original-image pixel coordinates ([x, y, width, height]) so the consumer can overlay them on the uploaded image.

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Query Parameters

count?integer

Maximum number of similar part revisions per detection (1-100)

Request Body

application/octet-stream

TypeScript Definitions

Use the request body type in TypeScript.

body*string

Response Body

application/json

curl -X POST "https://example.com/api/manufacturer/v1/part-revision/detect-and-embed?count=10" \  -H "Content-Type: application/octet-stream" \  -d 'string'
{  "detections": [    {      "bbox": [        0      ],      "matches": {        "property1": 0.1,        "property2": 0.1      }    }  ]}
Empty
Empty